#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: esqueleto
version: 2.6.0
id: esqueleto-2.6.0-7gQPnWasg7r6FoHxMvMoiA
key: esqueleto-2.6.0-7gQPnWasg7r6FoHxMvMoiA
license: BSD-3-Clause
copyright: (c) 2012-2016 Felipe Almeida Lessa
maintainer: cma@bitemyapp.com
author: Felipe Lessa
homepage: https://github.com/bitemyapp/esqueleto
synopsis: Type-safe EDSL for SQL queries on persistent backends.
description:
    @esqueleto@ is a bare bones, type-safe EDSL for SQL queries that works with unmodified @persistent@ SQL backends.  Its language closely resembles SQL, so you don'\''t have to learn new concepts, just new syntax, and it'\''s fairly easy to predict the generated SQL and optimize it for your backend. Most kinds of errors committed when writing SQL are caught as compile-time errors---although it is possible to write type-checked @esqueleto@ queries that fail at runtime.
    .
    @persistent@ is a library for type-safe data serialization.  It has many kinds of backends, such as SQL backends (@persistent-mysql@, @persistent-postgresql@, @persistent-sqlite@) and NoSQL backends (@persistent-mongoDB@). While @persistent@ is a nice library for storing and retrieving records, including with filters, it does not try to support some of the features that are specific to SQL backends.  In particular, @esqueleto@ is the recommended library for type-safe @JOIN@s on @persistent@ SQL backends.  (The alternative is using raw SQL, but that'\''s error prone and does not offer any composability.)
    .
    Currently, @SELECT@s, @UPDATE@s, @INSERT@s and @DELETE@s are supported. Not all SQL features are available, but most of them can be easily added (especially functions), so please open an issue or send a pull request if you need anything that is not covered by @esqueleto@ on <https://github.com/bitemyapp/esqueleto>.
    .
    The name of this library means \"skeleton\" in Portuguese and contains all three SQL letters in the correct order =).  It was inspired by Scala'\''s Squeryl but created from scratch.
category: Database
abi: eeb18ce3a601ae33d798a63d4ebacd9d
exposed: True
exposed-modules:
    Database.Esqueleto Database.Esqueleto.Internal.Language
    Database.Esqueleto.Internal.Sql Database.Esqueleto.MySQL
    Database.Esqueleto.PostgreSQL Database.Esqueleto.SQLite
hidden-modules: Database.Esqueleto.Internal.PersistentImport
                Paths_esqueleto
import-dirs: /usr/lib/ghc-8.4.2/site-local/esqueleto-2.6.0
library-dirs: /usr/lib/ghc-8.4.2/site-local/esqueleto-2.6.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/esqueleto-2.6.0
hs-libraries: HSesqueleto-2.6.0-7gQPnWasg7r6FoHxMvMoiA
depends:
    base-4.11.1.0 blaze-html-0.9.0.1-GE6MVgSdj1NIDsAcI8SbsY
    bytestring-0.10.8.2 conduit-1.3.0.2-snFu50Z8glGKKMsMFIbRs
    monad-logger-0.3.28.5-LLy6AwW142g5Y8315uccMJ
    persistent-2.8.2-69EKroHwvVUEVLolIujMaz
    resourcet-1.2.1-KvrbWJdFpkR4iaMXT0FXWX
    tagged-0.8.5-8zhZJ4AR6AIK89q9NUJ4H text-1.2.3.0 time-1.8.0.2
    transformers-0.5.5.0 unliftio-0.2.7.0-DcBGQOo3Xv0JVWz41KGMKr
    unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             blaze-html-0.9.0.1-GE6MVgSdj1NIDsAcI8SbsY=962e8d2161f35068fcc031ff6a6bdfd0
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             conduit-1.3.0.2-snFu50Z8glGKKMsMFIbRs=56e838f66c7950539520a040b81df772
             monad-logger-0.3.28.5-LLy6AwW142g5Y8315uccMJ=d94d27e6f3b5de47986c3bd3a83118ed
             persistent-2.8.2-69EKroHwvVUEVLolIujMaz=a71503cd9b7aec71cc09e5383a772d05
             resourcet-1.2.1-KvrbWJdFpkR4iaMXT0FXWX=c9976200d84eb69daa067280cab9ff84
             tagged-0.8.5-8zhZJ4AR6AIK89q9NUJ4H=9cfccdbb0f679fbc0a04182b333a8da7
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             unliftio-0.2.7.0-DcBGQOo3Xv0JVWz41KGMKr=ba3206159692e3461a0972b54b68024b
             unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884=c76b79dc8a56ff4425c082d0052b04f4
haddock-interfaces: /usr/share/doc/haskell-esqueleto/html/esqueleto.haddock
haddock-html: /usr/share/doc/haskell-esqueleto/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

